%define major 11
%define libname_orig %mklibname %{name}
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

%define gpg_version 1.2.2
%define gpgsm_version 1.9.6

Summary:	GnuPG Made Easy (GPGME)
Name:		gpgme
Version:	1.4.3
Release:	%mkrel 2
License:	GPLv2+
Group:		File tools
URL:		http://www.gnupg.org/gpgme.html
Source0:	ftp://ftp.gnupg.org/gcrypt/gpgme/%{name}-%{version}.tar.bz2
Source1:	ftp://ftp.gnupg.org/gcrypt/gpgme/%{name}-%{version}.tar.bz2.sig
BuildRequires:	gnupg >= %{gpg_version}
# support for Cryptographic Message Syntax protocol
BuildRequires:	gnupg2 >= %{gpgsm_version}
BuildRequires:	pth-devel >= 2.0.0
BuildRequires:	libassuan-devel
BuildRequires:	libgpg-error-devel >= 1.8
BuildRequires:	libglib2-devel >= 2.0.0
BuildRequires:	multiarch-utils >= 1.0.3

%description
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG
easier for applications.

%package -n %{libname}
Summary:	GnuPG Made Easy (GPGME)
Group:		System/Libraries
Requires:	gnupg >= %{gpg_version}
# support for Cryptographic Message Syntax protocol
Requires:	gnupg2 >= %{gpgsm_version}
Provides:	%{name} = %{version}-%{release}
Provides:	%{libname_orig} = %{version}-%{release}

%description -n %{libname}
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG
easier for applications.

%package -n %{develname}
Summary:	GnuPG Made Easy (GPGME) Header files and libraries for development
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{libname_orig}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname %{name} 11 -d

%description -n %{develname}
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG
easier for applications.

Install this package if you want to develop applications 
that will use the %{name} library for crypto awareness.

%prep
%setup -q

%build
%configure2_5x \
	-disable-static \
    --disable-gpgsm-test
%make

%check
make check 

%install
rm -rf %{buildroot}
%makeinstall_std

%multiarch_binaries %{buildroot}%{_bindir}/gpgme-config

#we don't want these
find %{buildroot} -name "*.la" -delete

%post -n %{develname}
%_install_info %{name}.info

%postun -n %{develname}
%_remove_install_info %{name}.info

%files -n %{libname}
%{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%multiarch %{multiarch_bindir}/gpgme-config
%{_bindir}/gpgme-config
%{_libdir}/*.so
%{_datadir}/aclocal/*.m4
%{_includedir}/*
%{_infodir}/*
%dir %{_datadir}/common-lisp/source/gpgme
%{_datadir}/common-lisp/source/gpgme/gpgme-package.lisp
%{_datadir}/common-lisp/source/gpgme/gpgme.asd
%{_datadir}/common-lisp/source/gpgme/gpgme.lisp


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.4.3-2.mga4
+ Revision: 532359
- Mageia 4 Mass Rebuild

* Tue Aug 20 2013 sander85 <sander85> 1.4.3-1.mga4
+ Revision: 468097
- New version: 1.4.3

* Sun Jul 07 2013 luigiwalser <luigiwalser> 1.4.2-1.mga4
+ Revision: 450796
- 1.4.2

* Wed May 29 2013 guillomovitch <guillomovitch> 1.4.1-1.mga4
+ Revision: 432768
- new version

* Sat Jan 12 2013 umeabot <umeabot> 1.3.2-2.mga3
+ Revision: 352519
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Aug 13 2012 luigiwalser <luigiwalser> 1.3.2-1.mga3
+ Revision: 281028
- 1.3.2

* Fri Dec 16 2011 wally <wally> 1.3.1-2.mga2
+ Revision: 182610
- drop .la files (mga#3788)

* Fri Jul 08 2011 ahmad <ahmad> 1.3.1-1.mga2
+ Revision: 120201
- Update to 1.3.1
- Bump BR libgpg-error-devel version

* Sat Jan 15 2011 mikala <mikala> 1.3.0-2.mga1
+ Revision: 18620
- Drop mdk macros
- Remove BuildRoot
- imported package gpgme


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 1.3.0-2mdv2011.0
+ Revision: 605495
- rebuild

* Mon Jan 11 2010 Lonyai Gergely <aleph@mandriva.org> 1.3.0-1mdv2010.1
+ Revision: 489739
- 1.3.0

* Tue Jun 30 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.2.0-1mdv2010.0
+ Revision: 390789
- Update  to gpgme 1.2.0

* Sun Jan 18 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.1.8-1mdv2009.1
+ Revision: 331039
- update to new version 1.1.8

* Sun Nov 16 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.1.7-1mdv2009.1
+ Revision: 303835
- update to new version 1.1.7
- fix ur for Source0

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.1.6-2mdv2009.0
+ Revision: 221100
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Jan 23 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.1.6-1mdv2008.1
+ Revision: 157125
- new license policy
- do not package COPYING files
- spec file clean
- new version

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.1.5-2mdv2008.1
+ Revision: 136461
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Sep 24 2007 Andreas Hasenack <andreas@mandriva.com> 1.1.5-2mdv2008.0
+ Revision: 92576
- added missing buildrequires (glib2-devel) + rebuild

* Wed Aug 01 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.1.5-1mdv2008.0
+ Revision: 57324
- new devel library policy
- make use of %%{major}
- add %%check section
- new version


* Wed Mar 14 2007 Andreas Hasenack <andreas@mandriva.com> 1.1.4-1mdv2007.1
+ Revision: 143695
- updated to version 1.1.4
- updated to version 1.1.3
- removed pthread patch, already applied
- added lisp files to devel package

* Wed Nov 29 2006 Andreas Hasenack <andreas@mandriva.com> 1.1.2-3mdv2007.1
+ Revision: 88736
- fix gpgme-config (#27380)
- Import gpgme

* Tue Aug 29 2006 Oden Eriksson <oeriksson@mandrakesoft.com> 1.1.2-2
- fix deps

* Sun Jul 02 2006 Charles A Edwards <eslrahc@mandriva.org> 1.1.2-1mdv2007.0
- 1.1.2
- mkrel 
- src url

* Thu Aug 25 2005 Abel Cheung <deaddog@mandriva.org> 1.0.3-1mdk
- New release 1.0.3

* Sat Apr 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.2-1mdk
- 1.0.2
- fix deps and conditional %%multiarch
- run the test suite
- fix requires-on-release

* Mon Jan 03 2005 Goetz Waschk <waschk@linux-mandrake.com> 1.0.1-1mdk
- New release 1.0.1

* Thu Oct 21 2004 Götz Waschk <waschk@linux-mandrake.com> 1.0.0-1mdk
- fix source URL
- New release 1.0.0

* Fri Aug 20 2004 Abel Cheung <deaddog@deaddog.org> 0.9.0-1mdk
- New version
- Disable test, some gpgsm tests appears to need fixing

* Fri May 21 2004 Abel Cheung <deaddog@deaddog.org> 0.4.7-1mdk
- New version

